# Main SonarQube project information
sonar.projectKey=com.natgeo:project-distribution
sonar.projectName=Distribution
sonar.projectVersion=1.0.0
sonar.language=py
sonar.sourceEncoding=UTF-8

# Source files to analyse (exclude settings)
sonar.sources=distribution,test
sonar.exclusions=distribution/settings/**

# Report paths (test results and coverage)
sonar.python.xunit.reportPath=nosetests.xml
sonar.python.coverage.reportPath=coverage.xml

# Pylint config for sonar scanner
sonar.python.pylint_config=.pylintrc-sonar
